commit:     d5f0b5a9a8d9c6f45453e9a9e629c38511459b12
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 14 16:03:46 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 16:06:18 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5f0b5a9

x11-wm/dwm: Version bump courtesy of Sergey Shiryaev <sergey <AT> shiryaev.pro>.

Package-Manager: portage-2.2.20.1
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 x11-wm/dwm/Manifest       |  1 +
 x11-wm/dwm/dwm-6.1.ebuild | 81 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/x11-wm/dwm/Manifest b/x11-wm/dwm/Manifest
index 228e278..7372109 100644
--- a/x11-wm/dwm/Manifest
+++ b/x11-wm/dwm/Manifest
@@ -1 +1,2 @@
 DIST dwm-6.0.tar.gz 20810 SHA256 
b2b9483de69259eeea56844899bb2385158d3e79a42d82b10c142099fc8eeb56 SHA512 
895d1d363b3756c9ba19dbf06af34be753c1ae5971d540113d7f8901ad174c2e5944ef769b43e65f7b700f34832bb24082bc91d999b287610c9925182ce70c00
 WHIRLPOOL 
bac35d2cb41df313bda2dfd2ca5b12467ec22e41c1640d8d65e67f1e7231baffc96151de03e18d8823918ddd2bdf905a6e0d984592da5cd525e87fb638f0b3dd
+DIST dwm-6.1.tar.gz 25887 SHA256 
c2f6c56167f0acdbe3dc37cca9c1a19260c040f2d4800e3529a21ad7cce275fe SHA512 
875644bbc246088f2c87e50debbadd4bc179444b396b1b327149087e8bc5303325ebc9103a7e3c864266ee1ac683ea3cd8f0a08285c8e46fc4389d5b83a555f1
 WHIRLPOOL 
a9ad20a212190dae069764a07a7914a20dd620f07bcef0e1acfada1e1596f842ab37109649dc3c7b9cceef05d618434ec2d98b7d8b90f7e64c856591985ee449

diff --git a/x11-wm/dwm/dwm-6.1.ebuild b/x11-wm/dwm/dwm-6.1.ebuild
new file mode 100644
index 0000000..89efbe9
--- /dev/null
+++ b/x11-wm/dwm/dwm-6.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils savedconfig toolchain-funcs
+
+DESCRIPTION="a dynamic window manager for X11"
+HOMEPAGE="http://dwm.suckless.org/";
+SRC_URI="http://dl.suckless.org/${PN}/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="xinerama"
+
+RDEPEND="
+       x11-libs/libX11
+       media-libs/freetype
+       xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="
+       ${RDEPEND}
+       xinerama? ( x11-proto/xineramaproto )
+"
+
+src_prepare() {
+       sed -i \
+               -e "s/CFLAGS = -std=c99 -pedantic -Wall -Os/CFLAGS += -std=c99 
-pedantic -Wall/" \
+               -e "/^LDFLAGS/{s|=|+=|g;s|-s ||g}" \
+               -e "s/#XINERAMALIBS =/XINERAMALIBS ?=/" \
+               -e "s/#XINERAMAFLAGS =/XINERAMAFLAGS ?=/" \
+               -e "s@/usr/X11R6/include@${EPREFIX}/usr/include/X11@" \
+               -e "s@/usr/X11R6/lib@${EPREFIX}/usr/lib@" \
+               -e "s@-I/usr/include@@" -e "s@-L/usr/lib@@" \
+               -e "s/\/freetype2/\ -I\/usr\/include\/freetype2/" \
+               config.mk || die
+       sed -i \
+               -e '/@echo CC/d' \
+               -e 's|@${CC}|$(CC)|g' \
+               Makefile || die
+
+       restore_config config.h
+       epatch_user
+}
+
+src_compile() {
+       if use xinerama; then
+               emake CC=$(tc-getCC) dwm
+       else
+               emake CC=$(tc-getCC) XINERAMAFLAGS="" XINERAMALIBS="" dwm
+       fi
+}
+
+src_install() {
+       emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+
+       exeinto /etc/X11/Sessions
+       newexe "${FILESDIR}"/dwm-session2 dwm
+
+       insinto /usr/share/xsessions
+       doins "${FILESDIR}"/dwm.desktop
+
+       dodoc README
+
+       save_config config.h
+}
+
+pkg_postinst() {
+       einfo "This ebuild has support for user defined configs"
+       einfo "Please read this ebuild for more details and re-emerge as needed"
+       einfo "if you want to add or remove functionality for ${PN}"
+       if ! has_version x11-misc/dmenu; then
+               elog "Installing ${PN} without x11-misc/dmenu"
+               einfo "To have a menu you can install x11-misc/dmenu"
+       fi
+       einfo "You can custom status bar with a script in HOME/.dwm/dwmrc"
+       einfo "the ouput is redirected to the standard input of dwm"
+       einfo "Since dwm-5.4, status info in the bar must be set like this:"
+       einfo "xsetroot -name \"\`date\` \`uptime | sed 's/.*,//'\`\""
+}

Reply via email to